" Vim syntax file
" Language:     Subversion interactive (svni) commit file
" Maintainer:   Rene Uittenbogaard <ruittenb@users.sourceforge.net>
" Revision:     $Id: svni.vim 1 2011-03-27 15:22:38Z ruittenb $
" Filenames:    svni.status.*
" Version:      0.1

" For version 5.x: Clear all syntax items.
" For version 6.x: Quit when a syntax file was already loaded.
if version < 600
  syntax clear
elseif exists("b:current_syntax")
  finish
endif

""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
" based on svn.vim

runtime! syntax/svn.vim
unlet b:current_syntax

""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
" highlighting for additions and removals

syn match svniToAdd       "^+    .*$" contained
syn match svniToRemove    "^-    .*$" contained

""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
" highlighting for diff regions

syn include @svnDiff syntax/diff.vim
unlet b:current_syntax
syn region diffRegion start=+{{{_svni_{{{+ keepend end=+}}}_svni_}}}+ contains=@svnDiff

""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
" Define the default highlighting.
" For version 5.7 and earlier: only when not done already.
" For version 5.8 and later: only when an item doesn't have highlighting yet.
if version >= 508 || !exists("did_svni_syn_inits")
  if version <= 508
    let did_svni_syn_inits = 1
    command -nargs=+ HiLink hi link <args>
  else
    command -nargs=+ HiLink hi def link <args>
  endif

  HiLink svniToRemove    Constant  " red   on black
  HiLink svniToAdd       Type      " green on black

  delcommand HiLink
endif

let b:current_syntax = "svni"

